Subject: Re: Apache/cygwin shutdown problem
From: Stipe Tolj <[email-masked]>
To: Sami Tikka <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 01 Jan 2002 15:42:23 +0100

Sami,

I CC'ed to cygwin@ instead, since Chris seems to dis-like the fact
that we keep this thread in cygwin-apps@.

Sami Tikka wrote:

> I've now discovered that my failure to shut down Apache has nothing to
> do with the cygwin version. I have produced two Apache configuration
> files. Start Apache with ok.conf and you can shut it down. Start Apache
> with failure.conf and the processes just hang on, never exiting and I
> have to use Task Manager to kill them.
> 
> To repro:
> 
> tar zxf apache_1.3.22.tar.gz
> cd apache_1.3.22
> ./configure --prefix=/test && make && make install
> # Copy ok.conf and failure.conf to /test/conf
> /test/bin/httpd -f /test/conf/ok.conf
> sleep 10
> kill -TERM $(cat ../logs/httpd.pid)
> # All Apache processes shut down
> /test/bin/httpd -f /test/conf/failure.conf
> sleep 10
> kill -TERM $(cat ../logs/httpd.pid)
> # Apache processes fail to exit
> 
> The only difference is that the failing configuration is set up to
> listen to both ports 80 and 8080.
> 
> I'm running an up-to-date Cygwin 1.3.6 on Windows 2000 Professional.
> 
> Is there anything that can be done to fix this? I'd really like to have
> the same Apache listen to both 80 and 8080 instead of running two Apaches.

Unfortunatly, I can confirm this now on my own setup :((

http://httpd.apache.org/info/known_bugs.html#listenbug

seems to give us more hints here, I'm investigating and comming back
if I get some solution.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/